Bug 1768452 - Review Request: zerotier-one - Smart Ethernet Switch for Earth
Summary: Review Request: zerotier-one - Smart Ethernet Switch for Earth
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 13:37 UTC by Artem
Modified: 2019-11-15 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 10:54:39 UTC
Type: Bug
vascom2: fedora-review-


Attachments (Terms of Use)

Description Artem 2019-11-04 13:37:00 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/zerotier-one/fedora-31-x86_64/01085509-zerotier-one/zerotier-one.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/zerotier-one/fedora-31-x86_64/01085509-zerotier-one/zerotier-one-1.4.6-1.fc31.src.rpm

Description:
ZeroTier is a smart programmable Ethernet switch for planet Earth. It allows all
networked devices, VMs, containers, and applications to communicate as if they
all reside in the same physical data center or cloud region.

This is accomplished by combining a cryptographically addressed and secure peer
to peer network (termed VL1) with an Ethernet emulation layer somewhat similar
to VXLAN (termed VL2). Our VL2 Ethernet virtualization layer includes advanced
enterprise SDN features like fine grained access control rules for network
micro-segmentation and security monitoring.

All ZeroTier traffic is encrypted end-to-end using secret keys that only you
control. Most traffic flows peer to peer, though we offer free (but slow)
relaying for users who cannot establish peer to peer connections.

The goals and design principles of ZeroTier are inspired by among other things
the original Google BeyondCorp paper and the Jericho Forum with its notion of
"deperimeterization."


Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/zerotier-one/

---

Since politics about bundling in Fedora eased a little bit i want to try push this again. Old review request from another maintainer:
https://bugzilla.redhat.com/show_bug.cgi?id=1352169

The problem with few bundled components which upstream prefer to bundle because of bugs which could happen if distro ship different versions of those components:
https://github.com/zerotier/ZeroTierOne/pull/462#issuecomment-287913026

Comment 2 Vasiliy Glazov 2019-11-13 09:38:04 UTC
1. Change
%if 0%{?fedora} < 31
BuildRequires:  golang-github-cpuguy83-go-md2man
%endif
%if 0%{?fedora} >= 31
BuildRequires:  golang-github-cpuguy83-md2man
%endif

to
BuildRequires:  go-md2man

2. Add version to all Provides:       bundled()

3. Change
BuildRequires:  systemd
to
BuildRequires: systemd-rpm-macros

Comment 4 Vasiliy Glazov 2019-11-15 10:54:39 UTC
Business Source License not allowed if Fedora.
You can try add it to rpmfusion repo.


Note You need to log in before you can comment on or make changes to this bug.